package com.storlead.sales.controller.es;

import lombok.Data;

/**
 * @program: sp-sales-platform
 * @description:
 * @author: chenkq
 * @create: 2025-04-14 10:07
 */
@Data
public class EsCustomerVO {

    private String customerName;

    private Long id;

    private Integer similarityScore;

    public EsCustomerVO() {
    }

    public EsCustomerVO( Long id,String customerName, Integer similarityScore) {
        this.customerName = customerName;
        this.id = id;
        this.similarityScore = similarityScore;
    }

    public EsCustomerVO(String id,String customerName, Integer similarityScore) {
        this.customerName = customerName;
        this.id = Long.valueOf(id);
        this.similarityScore = similarityScore;
    }


}
